1 (edited by anxious 2010-08-04 06:17:17)

Topic: Failing to install iRedMail on debian (postfix-policyd // amavisd-new)

Hello,

after following a tutorial to install iRedMail, i have :

Setting up postfix-policyd (1.82-2) ...
dbconfig-common: writing config to /etc/dbconfig-common/postfix-policyd.conf
*** WARNING: ucf was run from a maintainer script that uses debconf, but
             the script did not pass --debconf-ok to ucf. The maintainer
             script should be fixed to not stop debconf before calling ucf,
             and pass it this parameter. For now, ucf will revert to using
             old-style, non-debconf prompting. Ugh!

             Please inform the package maintainer about this problem.
Starting Postfix greylisting policy daemon: invoke-rc.d: initscript postfix-policyd, action "start" failed.
dpkg: error processing postfix-policyd (--configure):
subprocess post-installation script returned error exit status 1
Setting up amavisd-new (1:2.6.1.dfsg-1) ...
Creating/updating amavis user account...
Broken amavis system user found.  To insure data-safety,
it is up to you the local administrator to remove the broken
amavis user, or repair it so that it is sane
dpkg: error processing amavisd-new (--configure):
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
postfix-policyd
amavisd-new
E: Sub-process /usr/bin/dpkg returned an error code (1)
< ERROR > Installation failed, please check the terminal output.


Do you have any idea which is causing this please ?

2

Re: Failing to install iRedMail on debian (postfix-policyd // amavisd-new)

Which version of Debian? Only debian 5 is supported.

3

Re: Failing to install iRedMail on debian (postfix-policyd // amavisd-new)

ZhangHuangbin wrote:

Which version of Debian? Only debian 5 is supported.


# cat /etc/debian_version
5.0.5


I have version 5 of debian, any other guess please ?

4

Re: Failing to install iRedMail on debian (postfix-policyd // amavisd-new)

Did you update your system before install iRedMail?

# sudo apt-get install debian-archive-keyring
# sudo apt-get update
# sudo apt-get upgrade

I will test Debian 5.0.5 later.

5 (edited by anxious 2010-08-04 20:40:52)

Re: Failing to install iRedMail on debian (postfix-policyd // amavisd-new)

Yeap it's all up to date ( i've just re-run these 3 commands)

Before discovering your iRedMail, i've followed some hard tutorial to install a complete mail server. Is that possible that there is some conflict ?

I hope not, i did some : apt-get --purge remove postfix + amavisd-new

but there is no change

It's stressful because i have to release my website on wednesday ='(

6

Re: Failing to install iRedMail on debian (postfix-policyd // amavisd-new)

I had the same error messages myself.  Note I also had a number of modules already installed.  I had PHP-LDAP admin and PHP-MYSQL installed, and can't access either of them after I ran the iredmail script.

7

Re: Failing to install iRedMail on debian (postfix-policyd // amavisd-new)

dod you manage to get it working ? how did you fix that ?

if developpers could help please wink

8

Re: Failing to install iRedMail on debian (postfix-policyd // amavisd-new)

:up: please :'(

9 (edited by shake 2010-08-05 20:29:14)

Re: Failing to install iRedMail on debian (postfix-policyd // amavisd-new)

I have test in debian 5.05, and have not find the problem

Are you modify the Debian source?

just need main update and volatile

my source is below, it is default by debian

deb http://mirrors.geekbone.org/debian/ lenny main
deb-src http://mirrors.geekbone.org/debian/ lenny main

deb http://security.debian.org/ lenny/updates main
deb-src http://security.debian.org/ lenny/updates main

deb http://volatile.debian.org/debian-volatile lenny/volatile main
deb-src http://volatile.debian.org/debian-volatile lenny/volatile main
deb file:///root/iRedMail-0.6.0/pkgs pkgs/   # iRedMail_Local
 Setting up php5-mysql (5.2.6.dfsg.1-1+lenny8) ...
Setting up postfix-policyd (1.82-2) ...
dbconfig-common: writing config to /etc/dbconfig-common/postfix-policyd.conf
*** WARNING: ucf was run from a maintainer script that uses debconf, but
             the script did not pass --debconf-ok to ucf. The maintainer
             script should be fixed to not stop debconf before calling ucf,
             and pass it this parameter. For now, ucf will revert to using
             old-style, non-debconf prompting. Ugh!

             Please inform the package maintainer about this problem.

Creating config file /etc/dbconfig-common/postfix-policyd.conf with new version

Creating config file /etc/postfix-policyd.conf with new version
granting access to database postfixpolicyd for postfix-policyd@localhost: success.
verifying access for postfix-policyd@localhost: success.
creating database postfixpolicyd: success.
verifying database postfixpolicyd exists: success.
populating database via sql...  done.
dbconfig-common: flushing administrative password
Starting Postfix greylisting policy daemon: postfix-policyd.
Setting up python-support (0.8.4lenny2) ...
Setting up python-cheetah (2.0.1-2) ...
Setting up python-flup (1.0-1) ...
Setting up python-jinja2 (2.2.1-1~bpo50+1) ...
Setting up python-ldap (2.3.5-1) ...
Setting up python-mysqldb (1.2.2-7) ...
Setting up python-netifaces (0.5-1) ...
Setting up python-pkg-resources (0.6c8-4) ...
Setting up python-webpy (1:0.32+dak1-1) ...
Setting up re2c (0.13.5-1) ...
Setting up sgml-base (1.26) ...
Setting up spamassassin (3.2.5-2+lenny2) ...
SpamAssassin Mail Filter Daemon: disabled, see /etc/default/spamassassin
Setting up spamc (3.2.5-2+lenny2) ...
Setting up tofrodos (1.7.8.debian.1-1) ...
Setting up xml-core (0.12) ...
Setting up amavisd-new (1:2.6.1.dfsg-1) ...
Creating/updating amavis user account...
Starting amavisd: amavisd-new.
Setting up mailx (1:20071201-3) ...
Setting up postfix-ldap (2.5.5-1.1) ...
Adding ldap map entry to /etc/postfix/dynamicmaps.cf
Setting up postfix-pcre (2.5.5-1.1) ...
Adding pcre map entry to /etc/postfix/dynamicmaps.cf
Setting up python-pybabel (0.9.1-9) ...
Processing triggers for python-support ...

10

Re: Failing to install iRedMail on debian (postfix-policyd // amavisd-new)

ok, i've set up the default for Debian source, but now, i have

Setting up postfix-policyd (1.82-2) ...

ERROR 1045 (28000): Accès refusé pour l'utilisateur: 'root'@'@localhost' (mot de passe: NON).
unable to connect to mysql server.
error encountered creating user:
ERROR 1045 (28000): Accès refusé pour l'utilisateur: 'root'@'@localhost' (mot de passe: NON)


I've double checked, i set up the right password in /iRedMail-0.6.0/conf/mysql

MYSQL_FRESH_INSTALLATION='NO'
mysql server : tested with : localhost and 127.0.0.1
user : root
passwd = my good password big_smile

Any Idea please ?

11

Re: Failing to install iRedMail on debian (postfix-policyd // amavisd-new)

Creating/updating amavis user account...
Broken amavis system user found.  To insure data-safety,
it is up to you the local administrator to remove the broken
amavis user, or repair it so that it is sane

You should purge amavisd-new package before install iRedMail.

AGAIN: iRedMail is designed to run on a FRESH system.

12

Re: Failing to install iRedMail on debian (postfix-policyd // amavisd-new)

i've reset my entire server.

will install iredmail first.

Thanks i'll keep you updated if there is some error wink

I wish i would know iRedMail from the begining, it would avoid me to reset my production server big_smile